Order notifications contain details about any order placed by your connection’s system to your organization. This could include device, medication, service, or referral requests, depending on what your organization provides or manages for patients.
For standard FHIR®, you can receive notifications when an order is created, cancelled, or updated.
For 360X workflows, you can receive notifications about your referral statuses or receive a referral from your connection.
cancelled
Indicates that a referred patient service or procedure has been cancelled by your connection.
This notification includes this bundle of resources:
Required
- Procedure
- Patient
Optional
- Composition
- DocumentReference
- Organization
- Practitioner
- ServiceRequest
Select payload example
Request Body Schema
- resourceTyperequired, string
Identifies the type of the resource
Value:Bundle - typerequired, string
Indicates the purpose of this bundle - how it is intended to be used.
Value:message - entryrequired, Array of messageHeader, serviceRequest, patient, practitioner
An entry in the bundle containing a FHIR resource
- fullUrlstring
The Absolute URL for the resource. The fullUrl SHALL NOT disagree with the id in the resource - i.e. if the fullUrl is not a urn:uuid, the URL shall be version-independent URL consistent with the Resource.id. The fullUrl is a version independent reference to the resource. The fullUrl element SHALL have a value except that:
- fullUrl can be empty on a POST (although it does not need to when specifying a temporary id for reference in the bundle)
- Results from operations might involve resources that are not identified.
- resourceobject
The Resource for the entry. The purpose/meaning of the resource is determined by the Bundle.type.
- resourceTyperequired, string
Identifies the type of the resource
Value:MessageHeader - sourcerequired, object
The source application from which this message originated.
- endpointrequired, string
Identifies the routing target to send acknowledgements to.
- namestring
Human-readable name for the source system.
- focusrequired, Array of object
The actual data of the message - a reference to the root/focus class of the event.
Must be a resource of type
Resource.- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- definitionrequired, string
Permanent link to the MessageDefinition for this message.
- eventUrirequired, string
Code that identifies the event this message represents and connects it with its definition. Events defined as part of the FHIR specification have the system value
http://terminology.hl7.org/CodeSystem/message-events. Alternatively uri to the EventDefinition.Value:https://fhir.redoxengine.com/EventDefinition/ReferralRequestCancelled - eventCodingrequired, object
This describes the message being communicated
- systemstring
The identification of the code system that defines the meaning of the symbol in the code.
- codestring
A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).
- destinationArray of object
The destination(s) for the message, including the Direct Address of the intended recipient.
- endpointrequired, string
The Direct Address of the intended message recipient (DirectAddressTo). For messages received via DirectTrust, this identifies the target direct address.
- timestampstring
The date/time that the bundle was assembled - i.e. when the resources were placed in the bundle.
Bundle sent as part of a referral-request-cancelled event